         # File lib/ferret/browser.rb, line 193
    193:     def show(doc_id)
    194:       doc_id = @params['doc_id']||doc_id||'0'
    195:       if doc_id !~ /^\d+$/
    196:         raise ArgumentError.new("invalid document number '#{doc_id}'")
    197:       end
    198:       @doc_id = doc_id.to_i
    199:       @doc = @reader[@doc_id].load unless @reader.deleted?(@doc_id)
    200:       render(:action => :show)
    201:     end